ReactionFingerprints.h File Reference
`#include <DataStructs/SparseIntVect.h>`
`#include <DataStructs/ExplicitBitVect.h>`

Go to the source code of this file.

## Classes

struct | RDKit::ReactionFingerprintParams

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.

## Enumerations

enum | RDKit::FingerprintType { RDKit::AtomPairFP = 1, RDKit::TopologicalTorsion, RDKit::MorganFP, RDKit::RDKitFP, RDKit::PatternFP }

## Functions

const ReactionFingerprintParams | RDKit::DefaultStructuralFPParams (true, 0.2, 1, 1, 4096, PatternFP)
const ReactionFingerprintParams | RDKit::DefaultDifferenceFPParams (true, 0.0, 10, 1, 2048, AtomPairFP)
ExplicitBitVect * | RDKit::StructuralFingerprintChemReaction (const ChemicalReaction &rxn, const ReactionFingerprintParams &params=DefaultStructuralFPParams)
SparseIntVect< boost::uint32_t > * | RDKit::DifferenceFingerprintChemReaction (const ChemicalReaction &rxn, const ReactionFingerprintParams &params=DefaultDifferenceFPParams)